/****************************************************************************
* Title                 :   IR Beacon Click example
* Filename              :   IR Beacon Click.c
* Author                :   Uros Cvetinovic
* Origin Date           :   06/07/2016
* Notes                 :   Example for the IR Beacon Click board
*****************************************************************************/
/**************************CHANGE LIST **************************************
*
*    Date    Software Version    Initials       Description
*  06/07/16       1.0.0            UC        This is a demonstration of using the IR Beacon click.
                                             The click board sends IR signals depending on the PWM frequency.
*
*****************************************************************************/

unsigned int ratio;
sbit IR_control at GPIOA_ODR.B4;

void main() {

	ratio = PWM_TIM2_Init(74);
	PWM_TIM2_Set_Duty(ratio / 4, _PWM_INVERTED, _PWM_CHANNEL1);
	PWM_TIM2_Start(_PWM_CHANNEL1, &_GPIO_MODULE_TIM2_CH1_PA0);

	GPIO_Digital_Output(&GPIOA_BASE, _GPIO_PINMASK_4);

	/* Sending IR signals */

	while (1) {
		IR_control = 1;
		delay_us(13);
		IR_control = 0;
		delay_us(13);
	}
}